@import url('https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;500;600;700&display=swap');

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Quicksand', sans-serif;
}

body {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh !important;
  background: #000;
  overflow: hidden;
}

.main-section {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  align-items: center;
  z-index: 9999;
  position: absolute;
  top: 25%;
  margin: 4%;
  background: rgba(0, 0, 0, 0.32);
  backdrop-filter: blur(10px);
  border-radius: 5px;

}

@media only screen and (max-width: 768px) {

  body {
    overflow: visible;
  }

  .main-section {
    flex-direction: column-reverse;
    justify-content: center;
    align-items: center;
    position: static;
    margin-top: -500px;
  }

  .form-section {
    width: 100% !important;

    padding: 0%;
  }
  .map-main{
    width: 100% !important;
    position: relative;
    
  }
}

.form-section {
  width: 50%;
  padding: 5%;
}

.container {
  max-width: 600px;
  margin: 0 auto;
  text-align: center;
  background-color: #fff;
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
}

h2 {
  width: 100%;
  text-align: center;
  padding: 2% 0;
  color: #ffffff;
}

h1 {
  color: #ffffff;
}

p {
  font-size: clamp(.8rem, 5vw, 2rem);
  color: #666;
}

p span {
  color: #000;
}

.cta-details {
  width: 100%;
  height: fit-content;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 25px;
}

select {
  width: 100%;
  padding: 10px;
  margin: 10px 0;
  border: 1px solid #ccc;
  border-radius: 5px;
  background-color: #f9f9f9;
  color: #333;
}

button {
  background-color: #3498db;
  color: #fff;
  border: none;
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
  transition: background-color 0.3s;
}

button:hover {
  background-color: #2980b9;
}

#map {
  height: 50%;
  width: 100%;
  border: 1px solid #ccc;
  border-radius: 5px;
  margin-top: 20px;
}

#busInfo {
  display: none;
  background-color: #f9f9f9;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
  margin-top: 20px;
}

/* Responsive Media Queries */

@media only screen and (min-width: 1200px) {
  .container {
    max-width: 900px;
  }
}

@media only screen and (max-width: 1200px) and (min-width: 820px) {
  .container {
    max-width: 720px;
  }
}

@media only screen and (max-width: 820px) and (min-width: 720px) {
  .container {
    max-width: 600px;
  }
}

@media only screen and (max-width: 720px) and (min-width: 480px) {
  .container {
    max-width: 480px;
  }
}

@media only screen and (max-width: 480px) and (min-width: 360px) {
  .container {
    max-width: 360px;
  }
}

@media only screen and (max-width: 360px) and (min-width: 320px) {
  .container {
    max-width: 320px;
  }
}



@media only screen and (min-width: 1200px) {
  .leaflet-routing-container {
    max-width: 600px;
    margin: 0 auto;
  }

  .leaflet-routing-alt {
    width: 100%;
    height: 50%;
    overflow: scroll;
  }
}

@media only screen and (max-width: 1200px) and (min-width: 820px) {
  .leaflet-routing-container {
    max-width: 480px;
    margin: 0 auto;
  }

  .leaflet-routing-alt {
    width: 100%;
  }
}

@media only screen and (max-width: 820px) and (min-width: 720px) {
  .leaflet-routing-container {
    max-width: 360px;
    margin: 0 auto;
  }

  .leaflet-routing-alt {
    width: 100%;
  }
}

@media only screen and (max-width: 720px) and (min-width: 480px) {
  .leaflet-routing-container {
    max-width: 320px;
    margin: 0 auto;
  }

  .leaflet-routing-alt {
    width: 100%;
  }
}

@media only screen and (max-width: 480px) and (min-width: 360px) {
  .leaflet-routing-container {
    max-width: 280px;
    margin: 0 auto;
  }

  .leaflet-routing-alt {
    width: 100%;
  }
}

@media only screen and (max-width: 360px) and (min-width: 320px) {
  .leaflet-routing-container {
    max-width: 240px;
    margin: 0 auto;
  }

  .leaflet-routing-alt {
    width: 100%;
  }
}

@media only screen and (max-width: 1200px) {
  .leaflet-routing-alternatives-container {
    font-size: 0.8em;
  }
}

@media only screen and (max-width: 820px) {
  .leaflet-routing-alternatives-container {
    font-size: 0.7em;
  }
}


.leaflet-top,
.leaflet-right {
  display: flex;
  flex-direction: column-reverse;
}


section {
  position: absolute;
  height: fit-content;
  width: 100vw;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2px;
  flex-wrap: wrap;
  overflow: hidden;
}

section::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  background: linear-gradient(#000, #205294, #000);
  animation: animate 5s linear infinite;
}

@keyframes animate {
  0% {
    transform: translateY(-100%);
  }

  100% {
    transform: translateY(100%);
  }
}

section .span {
  position: relative;
  display: block;
  width: calc(6.25vw - 2px);
  height: calc(6.25vw - 2px);
  background: #181818;
  z-index: 2;
  transition: 1.5s;
}

section .span:hover {
  background: #009846;
  transition: 0s;
}


option {
  padding: 2% 0;
}

.swal2-container {
  z-index: 99999 !important;
}

.leaflet-touch .leaflet-bar {
  background-color: #ffffff;
  padding: 1% 0;
}





.btn-conteiner {
  margin-top: 10px;
  display: flex;
  justify-content: start;
  --color-text: #ffffff;
  --color-background: #009846;
  --color-outline: #ff145b80;
  --color-shadow: #00000080;
}

.btn-content {
  display: flex;
  align-items: center;
  padding: 5px 30px;
  text-decoration: none;
  font-family: 'Poppins', sans-serif;
  font-weight: 600;
  font-size: 30px;
  color: var(--color-text);
  background: var(--color-background);
  transition: 1s;
  border-radius: 100px;
  box-shadow: 0 0 0.2em 0 var(--color-background);
}

.btn-content:hover,
.btn-content:focus {
  transition: 0.5s;
  -webkit-animation: btn-content 1s;
  animation: btn-content 1s;
  outline: 0.1em solid transparent;
  outline-offset: 0.2em;
  box-shadow: 0 0 0.4em 0 var(--color-background);
}

.btn-content .icon-arrow {
  transition: 0.5s;
  margin-right: 0px;
  transform: scale(0.6);
}

.btn-content:hover .icon-arrow {
  transition: 0.5s;
  margin-right: 25px;
}

.icon-arrow {
  width: 20px;
  margin-left: 15px;
  position: relative;
  top: 6%;
}

#arrow-icon-one {
  transition: 0.4s;
  transform: translateX(-60%);
}

#arrow-icon-two {
  transition: 0.5s;
  transform: translateX(-30%);
}

.btn-content:hover #arrow-icon-three {
  animation: color_anim 1s infinite 0.2s;
}

.btn-content:hover #arrow-icon-one {
  transform: translateX(0%);
  animation: color_anim 1s infinite 0.6s;
}

.btn-content:hover #arrow-icon-two {
  transform: translateX(0%);
  animation: color_anim 1s infinite 0.4s;
}

@keyframes color_anim {
  0% {
    fill: white;
  }

  50% {
    fill: var(--color-background);
  }

  100% {
    fill: white;
  }
}

@-webkit-keyframes btn-content {
  0% {
    outline: 0.2em solid var(--color-background);
    outline-offset: 0;
  }
}

@keyframes btn-content {
  0% {
    outline: 0.2em solid var(--color-background);
    outline-offset: 0;
  }
}


.img {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 999999999999999999999999999;
}

.img img {
  width: 50%;
  height: 50%;
  object-fit: cover;

}

.leaflet-routing-alt-minimized{
  display: none;
}

.leaflet-routing-alt{
  height: 30vh;
  /* overflow-y: scroll; */
}

.map-main{
  width: 50%;
  position: relative;
  
}

.x{
  position: absolute;
  top:4%;
  right: 2%;
  z-index: 9999999999999999;
  background-color: #009846;
}

